#ifndef CANVASWIDGET_HH
#define CANVASWIDGET_HH

#include "TQtWidget.h"

class CanvasWidget : public TQtWidget {
#ifndef __CINT__   
 Q_OBJECT
#endif

public:
  CanvasWidget(QWidget *parent = 0);
  ~CanvasWidget() {}
  void HideObject(TObject *o);
  
#ifndef __CINT__
signals:
  void MouseClicked(const QPoint &);

private slots:
  void SaveAs();
#endif

protected:
  virtual void mouseMoveEvent(QMouseEvent *e);
  virtual void mouseReleaseEvent(QMouseEvent *e);
};

#endif
